summaryrefslogtreecommitdiffstats
path: root/audio/vcf_plugins
diff options
context:
space:
mode:
Diffstat (limited to 'audio/vcf_plugins')
-rw-r--r--audio/vcf_plugins/README13
-rw-r--r--audio/vcf_plugins/slack-desc19
-rw-r--r--audio/vcf_plugins/vcf_plugins.SlackBuild70
-rw-r--r--audio/vcf_plugins/vcf_plugins.info10
4 files changed, 112 insertions, 0 deletions
diff --git a/audio/vcf_plugins/README b/audio/vcf_plugins/README
new file mode 100644
index 0000000000..d4501d9260
--- /dev/null
+++ b/audio/vcf_plugins/README
@@ -0,0 +1,13 @@
+LADSPA plugins for audio EQ biquad filters based on the cookbook formulae
+by Robert Bristow-Johnson.
+
+The following filters have been implemented:
+ * Two low pass filters
+ * High pass filter
+ * Two band pass filters
+ * Notch filter
+ * Peaking EQ filter
+ * Low shelf filter
+ * High shelf filter
+
+This requires ladspa_sdk.
diff --git a/audio/vcf_plugins/slack-desc b/audio/vcf_plugins/slack-desc
new file mode 100644
index 0000000000..66c65c86e4
--- /dev/null
+++ b/audio/vcf_plugins/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+vcf_plugins: vcf_plugins (LADSPA plugins)
+vcf_plugins:
+vcf_plugins: LADSPA plugins for audio EQ biquad filters based on the cookbook
+vcf_plugins: formulae by Robert Bristow-Johnson.
+vcf_plugins:
+vcf_plugins: The following filters have been implemented:
+vcf_plugins: * Two low pass filters * High pass filter * Two band pass filters
+vcf_plugins: * Notch filter * Peaking EQ filter * Low shelf filter * High
+vcf_plugins: shelf filter
+vcf_plugins:
+vcf_plugins:
diff --git a/audio/vcf_plugins/vcf_plugins.SlackBuild b/audio/vcf_plugins/vcf_plugins.SlackBuild
new file mode 100644
index 0000000000..74bcde5cda
--- /dev/null
+++ b/audio/vcf_plugins/vcf_plugins.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for vcf_plugins
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=vcf_plugins
+VERSION=${VERSION:-0.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=vcf
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i 's/cc -c/gcc -c $(CFLAGS)/' Makefile
+make CFLAGS="$SLKCFLAGS"
+
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/ladspa
+install -oroot -groot -s -m0755 ${SRCNAM}.so ${SRCNAM}_cv_in.so $PKG/usr/lib$LIBDIRSUFFIX/ladspa/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/vcf_plugins/vcf_plugins.info b/audio/vcf_plugins/vcf_plugins.info
new file mode 100644
index 0000000000..c71c98e392
--- /dev/null
+++ b/audio/vcf_plugins/vcf_plugins.info
@@ -0,0 +1,10 @@
+PRGNAM="vcf_plugins"
+VERSION="0.0.5"
+HOMEPAGE="http://www.suse.de/~mana/ladspa.html"
+DOWNLOAD="http://www.suse.de/~mana/vcf-0.0.5.tar.bz2"
+MD5SUM="7dfbdd040926f925187290c5d12caeae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Niels Horn"